## sgf2dg 4.026

=== tex/Makefile ===
# $Id: Makefile 35 2005-01-22 02:36:46Z reid $
#
#       Makefile for sgf2tex/tex subdirectory.  This Makefile installs the TeX
#       portions of the sgf2tex distribution: the GOOE fonts, font metrics,
#       and TeX include files.
#


# During 'perl Makefile.PL' in the parent (sgf2tex) directory, the section
# below between the '# perl Makefile.PL auto-edit' and '# perl Makefile.PL
# auto-edit end' comments is completely deleted and rebuilt.
#
# You can override the variables by either changing the values 'perl
# Makefile.PL' put in the auto-edit section (temporary - overwritten the next
# time 'perl Makefile.PL' is run) or by adding a new definition below the
# auto-edit section (permanent - running 'perl Makefile.PL' again won't change
# anything outside the auto-edit comment tags).

# start perl Makefile.PL auto-edit

# During 'perl Makefile.PL', the following variables are determined:

# where font (*.mf) files will go:
MFDIR = unknown

# where font metric (*.tfm) files will go:
TFMDIR = unknown

# where TeX input files (gooemacs.tex and gotcmacs.tex) will go:
TEXINPUTS = unknown

# where cached fonts (GOOE/go*pk) might have been put (we need to
# remove cached fonts from previous installs):
PKFONTS = unknown

# how to install files:
INSTALL = install -m 0644

# end perl Makefile.PL auto-edit


# If you make certain types of modifications to the fonts, the .tfm files
# might change.  If you are getting checksum errors, you should delete any
# cached .tfm files. Most font modifications you are likely to make to the
# sgf2tex fonts are not likely to change the .tfm files.
#

.SUFFIXES : .mf .tfm .300pk .360pk .432pk .600pk .720pk .864pk .300gf .360gf .432gf .600gf .720gf .864gf

FONTS = gooa.300gf gooa.360gf gooa.432gf gooa.600gf gooa.720gf gooa.864gf \
        goea.300gf goea.360gf goea.432gf goea.600gf goea.720gf goea.864gf \
        goob.300gf goob.360gf goob.432gf goob.600gf goob.720gf goob.864gf \
        goeb.300gf goeb.360gf goeb.432gf goeb.600gf goeb.720gf goeb.864gf \
        gooc.300gf gooc.360gf gooc.432gf gooc.600gf gooc.720gf gooc.864gf \
        goec.300gf goec.360gf goec.432gf goec.600gf goec.720gf goec.864gf \
        good.300gf good.360gf good.432gf good.600gf good.720gf good.864gf \
        goed.300gf goed.360gf goed.432gf goed.600gf goed.720gf goed.864gf \
        gobl.300gf gobl.360gf gobl.432gf gobl.600gf gobl.720gf gobl.864gf \
        gowl.300gf gowl.360gf gowl.432gf gowl.600gf gowl.720gf gowl.864gf \
        gooegb.300gf gooegb.360gf gooegb.432gf gooegb.600gf gooegb.720gf gooegb.864gf \
        gooemt.300gf gooemt.360gf gooemt.432gf gooemt.600gf gooemt.720gf gooemt.864gf \
        gooa.300pk gooa.360pk gooa.432pk gooa.600pk gooa.720pk gooa.864pk \
        goea.300pk goea.360pk goea.432pk goea.600pk goea.720pk goea.864pk \
        goob.300pk goob.360pk goob.432pk goob.600pk goob.720pk goob.864pk \
        goeb.300pk goeb.360pk goeb.432pk goeb.600pk goeb.720pk goeb.864pk \
        gooc.300pk gooc.360pk gooc.432pk gooc.600pk gooc.720pk gooc.864pk \
        goec.300pk goec.360pk goec.432pk goec.600pk goec.720pk goec.864pk \
        good.300pk good.360pk good.432pk good.600pk good.720pk good.864pk \
        goed.300pk goed.360pk goed.432pk goed.600pk goed.720pk goed.864pk \
        gooegb.300pk gooegb.360pk gooegb.432pk gooegb.600pk gooegb.720pk gooegb.864pk \
        gooemt.300pk gooemt.360pk gooemt.432pk gooemt.600pk gooemt.720pk gooemt.864pk

# when called as 'make' or 'make all', we don't want anything to happen:
make: all

# After installing fonts, we need to run MakeTeXls-R for WEB2C Unix
# distribution, or texhash for TETEX, or nothing for NTEX.  Since we don't
# know what our distribution is, we'll just try texhash and then MakeTeXls-R
# (with the '-' in front so make doesn't choke if the command isn't there)
install:
	rm -f $(PKFONTS)
	- mkdir $(MFDIR)
	$(INSTALL) *.mf $(MFDIR)
	- mkdir $(TFMDIR)
	$(INSTALL) *.tfm $(TFMDIR)
	$(INSTALL) gooemacs.tex gotcmacs.tex $(TEXINPUTS)
	- texhash
	- MakeTeXls-R

# The preferred method of installation is just to copy the metafont sources
# and tfm files into appropriated directories in MakeTeXPK's search path. The
# required pk fonts will be then built automatically by the system. In an
# emergency, you can build the fonts by hand with `make -f Makefile.tex
# fonts'. This might be appropriate if (for example) you are working on a
# machine where you do not have superuser privileges, or if you are working on
# a DOS port.

fonts: $(FONTS)

.mf.300gf :
	mf "\mode=cx; mag=1; input $*"

.mf.360gf :
	mf "\mode=cx; mag=1.2; input $*"

.mf.432gf :
	mf "\mode=cx; mag=1.44; input $*"

.mf.600gf :
	mf "\mode=ljfour; mag=1; input $*"

.mf.720gf :
	mf "\mode=ljfour; mag=1.2; input $*"

.mf.864gf :
	mf "\mode=ljfour; mag=1.44; input $*"

.300gf.300pk :
	gftopk gooegb.300gf

.360gf.360pk :
	gftopk gooegb.360gf

.432gf.432pk :
	gftopk gooegb.432gf

.600gf.600pk :
	gftopk gooegb.600gf

.720gf.720pk :
	gftopk gooegb.720gf

.864gf.864pk :
	gftopk gooegb.864gf

.300pk.tfm :

## sgf2dg 4.252

=== tex/Makefile ===
--- 
+++ 
@@ -1,14 +1,13 @@
-# $Id: Makefile 35 2005-01-22 02:36:46Z reid $
 #
-#       Makefile for sgf2tex/tex subdirectory.  This Makefile installs the TeX
-#       portions of the sgf2tex distribution: the GOOE fonts, font metrics,
+#       Makefile for sgf2dg/tex subdirectory.  This Makefile installs the TeX
+#       portions of the sgf2dg distribution: the GOOE fonts, font metrics,
 #       and TeX include files.
 #
 
 
-# During 'perl Makefile.PL' in the parent (sgf2tex) directory, the section
-# below between the '# perl Makefile.PL auto-edit' and '# perl Makefile.PL
-# auto-edit end' comments is completely deleted and rebuilt.
+# During 'perl Makefile.PL' in the parent (sgf2dg) directory, the section
+# below between the 'start perl Makefile.PL auto-edit' and 'end perl Makefile.PL
+# auto-edit' comments is completely deleted and rebuilt.
 #
 # You can override the variables by either changing the values 'perl
 # Makefile.PL' put in the auto-edit section (temporary - overwritten the next
@@ -42,7 +41,7 @@
 # If you make certain types of modifications to the fonts, the .tfm files
 # might change.  If you are getting checksum errors, you should delete any
 # cached .tfm files. Most font modifications you are likely to make to the
-# sgf2tex fonts are not likely to change the .tfm files.
+# GOOE fonts are not likely to change the .tfm files.
 #
 
 .SUFFIXES : .mf .tfm .300pk .360pk .432pk .600pk .720pk .864pk .300gf .360gf .432gf .600gf .720gf .864gf
@@ -73,27 +72,40 @@
 # when called as 'make' or 'make all', we don't want anything to happen:
 make: all
 
+all:
+
 # After installing fonts, we need to run MakeTeXls-R for WEB2C Unix
 # distribution, or texhash for TETEX, or nothing for NTEX.  Since we don't
 # know what our distribution is, we'll just try texhash and then MakeTeXls-R
 # (with the '-' in front so make doesn't choke if the command isn't there)
 install:
 	rm -f $(PKFONTS)
-	- mkdir $(MFDIR)
+	- $(MKDIR) $(MFDIR)
 	$(INSTALL) *.mf $(MFDIR)
-	- mkdir $(TFMDIR)
+	- $(MKDIR) $(TFMDIR)
 	$(INSTALL) *.tfm $(TFMDIR)
 	$(INSTALL) gooemacs.tex gotcmacs.tex $(TEXINPUTS)
 	- texhash
 	- MakeTeXls-R
 
+# clean installed fonts
+clean:
+	- $(RM) $(TEXINPUTS)/gooemacs.tex $(TEXINPUTS)/gotcmacs.tex
+	- $(RM) $(TFMDIR)/*.tfm
+	- $(RMDIR) $(TFMDIR)
+	- $(RM) $(MFDIR)/*.mf
+	- $(RMDIR) $(MFDIR)
+	- $(RM_F) $(PKFONTS)
+	- texhash
+	- MakeTeXls-R
+
 # The preferred method of installation is just to copy the metafont sources
-# and tfm files into appropriated directories in MakeTeXPK's search path. The
-# required pk fonts will be then built automatically by the system. In an
-# emergency, you can build the fonts by hand with `make -f Makefile.tex
-# fonts'. This might be appropriate if (for example) you are working on a
-# machine where you do not have superuser privileges, or if you are working on
-# a DOS port.
+# and tfm files into appropriated directories in MakeTeXPK's search path.
+# The required pk fonts will be then built automatically by the system. In
+# an emergency, you can build the fonts by hand with `make -f fonts'.  This
+# might be appropriate if (for example) you are working on a machine where
+# you do not have superuser privileges, or if you are working on a DOS
+# port.
 
 fonts: $(FONTS)
 
@@ -116,22 +128,22 @@
 	mf "\mode=ljfour; mag=1.44; input $*"
 
 .300gf.300pk :
-	gftopk gooegb.300gf
+	gftopk $*.300gf
 
 .360gf.360pk :
-	gftopk gooegb.360gf
+	gftopk $*.360gf
 
 .432gf.432pk :
-	gftopk gooegb.432gf
+	gftopk $*.432gf
 
 .600gf.600pk :
-	gftopk gooegb.600gf
+	gftopk $*.600gf
 
 .720gf.720pk :
-	gftopk gooegb.720gf
+	gftopk $*.720gf
 
 .864gf.864pk :
-	gftopk gooegb.864gf
+	gftopk $*.864gf
 
 .300pk.tfm :

=== debian/changelog ===
sgf2dg (4.252-3) unstable; urgency=medium

  [ Santiago Vila ]
  * Fix clean target. Closes: #1045266.

  [ Vincent Danjean ]
  * No need of Rules-Requires-Root field with default value
  * Point to specific GPL version in copyright file
  * Add lintian override for false positives

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 02 Mar 2026 14:01:14 +0100

sgf2dg (4.252-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Maintain package in Debian team on Salsa
  * Fix Homepage
    Closes: #1082214
  * d/watch: version=5
  * Remove debian/README.source since redundant
  * d/copyright:
     - DEP5
     - Review
  * debhelper-compat (= 13)
  * cme fix dpkg-control
  * Fix clean target
    Closes: #1045266
  * Fix some syntax issues to make autopkgtest pass

  [ Vincent Danjean ]
  * Merge previous git history with salsa imported one
  * Add gbp config
  * Add dependency for autopkgtest
  * Doc in pdf instead of dvi

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 01 Mar 2026 22:41:34 +0100

sgf2dg (4.252-1) unstable; urgency=medium

  * New upstream release (Closes: #505433)
  * Cleanup packaging (Closes: #941548)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 28 Oct 2019 00:44:51 +0100

sgf2dg (4.221-1) unstable; urgency=low

  * New upstream release
  * [debian/watch] point to CPAN
  * Convert to dh9
  * Convert to 30. (quilt) source format

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 08 Jun 2012 13:12:56 +0200

sgf2dg (4.026-10) unstable; urgency=low

  * [debian/control] bump to Standards-Version 3.8.3 (no change required)
  * Add missing build dependency to tex-common (Closes: #553575)
  * Fix typo in manpages
  * Add a README.source for quilt
  * Cleanup source files

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 01 Nov 2009 10:18:16 +0100

sgf2dg (4.026-9) unstable; urgency=low

  * update patch to t/Dg2Tk.t to skip tests if DISPLAY is defined but null
    (should fix FTBFS on some autobuilder)
  * [debian/control] bump to Standards-Version 3.7.3 (no change required)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 10 Jan 2008 07:59:47 +0100

sgf2dg (4.026-8) unstable; urgency=low

  * [debian/control]
      + update build-depends
        - remove tetex
        - add libpdf-create-perl, libpostscript-file-perl, and
          perl-tk for checks
      + add Homepage: field (and remove this info from the Description)
  * patch t/Dg2Tk.t to skip tests if no X display is defined (Closes: #450466)

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 07 Nov 2007 16:25:09 +0100

sgf2dg (4.026-7) unstable; urgency=low

  * [debian/control]
      + update maintainer name
      + rewrite build-depends (texlive transition) (Closes: #421090)
      + etch is there: remove transitional package

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 26 Apr 2007 14:48:21 +0200

sgf2dg (4.026-6) unstable; urgency=low

  * [debian/control] transitional package sgf2tex should be arch:all
    Thanks Niko Tyni (Closes: #385711)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue,  5 Sep 2006 15:12:53 +0200

sgf2dg (4.026-5) unstable; urgency=low

  * [debian/copyright] add copyright for Debian packaging

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 17 May 2006 00:43:34 +0200

sgf2dg (4.026-4) unstable; urgency=low

  * [debian/compat] debhelper compat version dumped to 5
  * [debian/control] Standard-Version set to 3.7.2 (no changes required)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sun, 14 May 2006 21:30:04 +0200

sgf2dg (4.026-3) unstable; urgency=low

  * Initial release. (Closes: #361155: ITP: sgf2dg -- Creates TeX files
    from Go game records)
  * Takeover sgf2tex and creating a transitional package
    New maintainer. (Closes: #360327: ITA: sgf2tex -- Creates TeX files
    from Go game records - Debian Bug report logs)
    (Closes: #323577: sgf2tex: new upstream release)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 12 Apr 2006 11:19:52 +0200

sgf2dg (4.026-2) unstable; urgency=low

  * Add the manual in the documentation directory

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri,  7 Apr 2006 02:01:04 +0200

sgf2dg (4.026-1) unstable; urgency=low

  * Initial packaging

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri,  7 Apr 2006 01:05:15 +0200

=== debian/control ===
Source: sgf2dg
Standards-Version: 4.7.3
Maintainer: Vincent Danjean <vdanjean@debian.org>
Section: tex
Build-Depends:
 debhelper-compat (= 13),
 texlive-plain-generic,
 libpdf-create-perl,
 libpostscript-file-perl,
 perl-tk,
 libfile-slurp-perl,
Vcs-Browser: https://salsa.debian.org/debian/sgf2dg
Vcs-Git: https://salsa.debian.org/debian/sgf2dg.git
Homepage: https://metacpan.org/dist/Games-Go-Sgf2Dg

Package: sgf2dg
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 libpdf-create-perl,
 libpostscript-file-perl,
Breaks:
 sgf2tex (<< 4.00),
Replaces:
 sgf2tex (<< 4.00),
Description: Converts Smart Go Format (SGF) files to Go diagrams
 Go is a board game from Eastern Asia and TeX is a program for
 typesetting.  sgf2dg converts Go game records in smart-go format (SGF)
 into TeX files.  You can produce camera-ready copies for books or
 magazines, or simply generate attractive printouts of your (internet)
 Go games.
 .
 sgf2dg includes the Metafont sources for a new set of Go fonts, and a
 script, sgf2dg (formerly sgf2tex), which translates files in sgf-format
 into TeX.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originaly written by Robert Millan.
# This file is public domain.

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- LDFLAGS="$(LDFLAGS)"

override_dh_installchangelogs:
	dh_installchangelogs
	dh_installchangelogs --keep debian/changelog-sgf2tex.Debian

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
Version: 5

Source: https://www.cpan.org/modules/by-module/Games/
Matching-Pattern: Games-Go-Sgf2Dg-@ANY_VERSION@@ARCHIVE_EXT@
